1. silvershad0w's Avatar
    lol, iGuru's the man!
    Good job in answering everyones questions dude! Well played!
    2009-09-22 04:14 PM
  2. sawtooth's Avatar
    Hallo,

    i running firmware 3.1 on my iphone 3G S and use your method to dowgrade to 3.0.

    All goes well, i got my 00.shsh key, i ran the tiny server, but when i restore in itunes to 3.0, i got an "unkown error 1600".

    Can anybody help me please?

    Thanks!
    sawtooth
    2009-09-22 04:35 PM
  3. xsemaphorex's Avatar
    You cannot use 3.1 blobs for 3.0.

    Use common sense.
    2009-09-22 04:40 PM
  4. iGuru's Avatar
    All goes well, i got my 00.shsh key, i ran the tiny server, but when i restore in itunes to 3.0, i got an "unkown error 1600".
    Edit, see what semaphore said, however if you are using 3.0 blobs, then If you've tried restoring in DFU mode try Recovery mode, if you tried Revovery mode try DFU mode.
    Last edited by iGuru; 2009-09-22 at 04:43 PM.
    iGuru, aka macdotnub/mac.nub - Twitter: http://www.twitter.com/macdotnub
    Get your ECID SHSH file! (For 3GS Restore verification) http://bit.ly/JnDw2 (Thanks to semaphore!)
    2009-09-22 04:40 PM
  5. Ed Hardy's Avatar
    I have tried what you said on normal restore mode and in DFU, also did a mixture of both
    (1st time. DFU first then restore mode, 2nd time. restore mode first then DFU).

    none of those worked, so I'm going to try it on a different machine and see if there is any change.

    I gave an answer to the 1600 error at the top of the last page (post 46).
    Last edited by Ed Hardy; 2009-09-22 at 04:56 PM.
    2009-09-22 04:49 PM
  6. ApFinder's Avatar
    I gathered the information from Saurik server and went well, I think, got a file with -+64kb.

    Since I have "this iphone 3g[s] has an ecid shsh on file" on Cydia I tried get information for all firmware versions, here is the result:

    For 3.0 I get 00.shsh with +-64kb - I believe this is ok! Right???
    For 3.01 I get 00.shsh with +-1kb - I believe is fake.
    For 3.1 I get 00.shsh with +-64kb - This mean that I also have ECID SHSH for version 3.1 ????

    tks.
    I am now on 3.0.1, assuming that I need to downgrade for any reason to 3.0 can then upgrade to 3.0.1 ???

    Tks
    2009-09-22 04:54 PM
  7. PamaSinghUK's Avatar
    Hi I am getting error messages 3002 can you tell me what l need to do please thank you
    2009-09-22 04:56 PM
  8. iGuru's Avatar
    I am now on 3.0.1, assuming that I need to downgrade for any reason to 3.0 can then upgrade to 3.0.1 ???

    Tks
    No, you only have the 3.0 ECID SHSH, therefore you can only downgrade to 3.0, you can not update to 3.0.1 without the 3.0.1 ECID SHSH.

    Hi I am getting error messages 3002 can you tell me what l need to do please thank you
    If you get error 3002, it means you do not have a 3.0 ECID SHSH, and therfore you will not be able to downgrade. Sorry.
    Last edited by iGuru; 2009-09-22 at 05:06 PM. Reason: Automerged Doublepost
    iGuru, aka macdotnub/mac.nub - Twitter: http://www.twitter.com/macdotnub
    Get your ECID SHSH file! (For 3GS Restore verification) http://bit.ly/JnDw2 (Thanks to semaphore!)
    2009-09-22 05:04 PM
  9. PamaSinghUK's Avatar
    how come?
    2009-09-22 05:07 PM
  10. MagmaWork's Avatar
    Thanks xsemaphorex & Ed Hardy.... Used Ed Hardy's method and it worked. but for 3.1 version only. so at least i got my own signature n wait out for the JB 3.1 3gs to come out...

    ~starts the waiting game~
    2009-09-22 05:16 PM
  11. iGuru's Avatar
    how come?
    You need a 3.0 ECID SHSH to downgrade to 3.0, 3.0.1 to downgrade to 3.0.1, and 3.1 to downgrade to 3.1.

    Apple is no longer signing 3.0/3.0.1 ECID SHSH files.
    Therfore unless you have them on Saurik's server there is currently no way of downgrading to these versions.
    iGuru, aka macdotnub/mac.nub - Twitter: http://www.twitter.com/macdotnub
    Get your ECID SHSH file! (For 3GS Restore verification) http://bit.ly/JnDw2 (Thanks to semaphore!)
    2009-09-22 05:16 PM
  12. ApFinder's Avatar
    No, you only have the 3.0 ECID SHSH, therefore you can only downgrade to 3.0, you can not update to 3.0.1 without the 3.0.1 ECID SHSH.
    iGuru thanks for all... well done!!! You are the man.

    tks.
    2009-09-22 05:16 PM
  13. Pabs2000's Avatar
    I succesfully downgraded my new iphone 3gs that "by mistake" upgraded with itunes to 3.1.
    I did all the steps to downgrade to 3.0 and all worked ok (lucky for me i storage the shsh to the server before) then I jailbroked it with redsn0w 0.8. All ok for then.

    I installed all the essentials upgrades and install the ultrasn0w 9.0 but my phone is not able to read the chip yet.

    What could be wrong????!!!!! I'm one step to make history!!! hahaha
    2009-09-22 05:18 PM
  14. dineshparashar's Avatar
    hi!can any one help me with this port 80!
    2009-09-22 05:21 PM
  15. PamaSinghUK's Avatar
    ok l have iphone 3gs with 3.1 updated with itunes but l want to downgrade it to 3.0 or 3.0.1
    2009-09-22 05:24 PM
  16. iGuru's Avatar
    I succesfully downgraded my new iphone 3gs that "by mistake" upgraded with itunes to 3.1.
    I did all the steps to downgrade to 3.0 and all worked ok (lucky for me i storage the shsh to the server before) then I jailbroked it with redsn0w 0.8. All ok for then.

    I installed all the essentials upgrades and install the ultrasn0w 9.0 but my phone is not able to read the chip yet.

    What could be wrong????!!!!! I'm one step to make history!!! hahaha
    Ultrasn0w does not work on the 3.1 Baseband.
    When you updated to 3.1, the baseband for the phone was updated.

    The baseband can not currently be downgraded, therefore you can not use ultrasn0w.
    iGuru, aka macdotnub/mac.nub - Twitter: http://www.twitter.com/macdotnub
    Get your ECID SHSH file! (For 3GS Restore verification) http://bit.ly/JnDw2 (Thanks to semaphore!)
    2009-09-22 05:24 PM
  17. PamaSinghUK's Avatar
    and how do l get the Saurik's server??
    2009-09-22 05:26 PM
  18. iGuru's Avatar
    hi!can any one help me with this port 80!
    You need to work out what is using port 80 your self. It will generally be something like Apache, IIS etc.

    Assuming you're on Windows, goto start -> run -> type: services.msc and then look for either of those, if they are there switch them off.
    If that does not work, no one else is going to be able to help you as you need to work out what is using it.

    ok l have iphone 3gs with 3.1 updated with itunes but l want to downgrade it to 3.0 or 3.0.1

    and how do l get the Saurik's server??
    You can not downgrade that unless you backed up your 3.0 ECID SHSH via Cydia.

    And if you actually read the instructions you would know the answer to this, either read, or stop asking questions.
    I am not going to help people that do not bother to follow the instructions.
    Last edited by iGuru; 2009-09-22 at 05:42 PM.
    iGuru, aka macdotnub/mac.nub - Twitter: http://www.twitter.com/macdotnub
    Get your ECID SHSH file! (For 3GS Restore verification) http://bit.ly/JnDw2 (Thanks to semaphore!)
    2009-09-22 05:37 PM
  19. PamaSinghUK's Avatar
    how can l backup the 3.0 ECID SHSH via Cydia?
    2009-09-22 05:46 PM
  20. iGuru's Avatar
    how can l backup the 3.0 ECID SHSH via Cydia?
    You need to read the guide. It is not possible to do this anymore.
    You are out of luck, you can not downgrade your phone.

    Now be patient and wait for the 3.1 jailbreak.
    Last edited by iGuru; 2009-09-22 at 05:57 PM.
    iGuru, aka macdotnub/mac.nub - Twitter: http://www.twitter.com/macdotnub
    Get your ECID SHSH file! (For 3GS Restore verification) http://bit.ly/JnDw2 (Thanks to semaphore!)
    2009-09-22 05:49 PM
678 ... 2345614 ...
LINK TO POST COPIED TO CLIPBOARD